<?xml version="1.0"?>
<HTML xmlns:xsl="http://www.w3.org/TR/WD-xsl">
  <BODY STYLE="font-family:Arial, helvetica, sans-serif; font-size:12pt;
        background-color:#EEEEEE">
    <DIV STYLE="font-weight:bold;font-size=16pt">
      <xsl:value-of select="@text"/>
    </DIV>
    <xsl:for-each select="book" order-by="+genre;+author">
      <DIV STYLE="background-color:#8B0000; color:#FFFFFF; padding:4px">
        <SPAN STYLE="font-weight:bold; color:white"><xsl:value-of select="title"/>
        - <xsl:value-of select="author"/> </SPAN>
      </DIV>
      <DIV STYLE="font-weight:bold"><xsl:value-of select="publish_date"/></DIV>
      <DIV><xsl:value-of select="genre"/></DIV>
      
    </xsl:for-each>
  </BODY>
</HTML>

<!--
	Here, we see for-each select "book" which correlates with our main tags in the XML document, ie. <book> </book>.  This means the information displayed only comes out of any text enclosed within the tags.  The order-by section lets us select a topic area to use as our filter and sorts the book titles in order of the authors surname, and then by the genre both in alphabetical order.

	A value-of tag prints the value of every book within the selected tag, eg. <title> </title> or <author> </author>.  This is the main output method.  Order-by is not necessarily required.  Always remember to close EVERY tag you open.

//-->
